#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-otp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=src:docs/ext python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH='src:test' {interpreter} /usr/bin/django-admin test --settings=test_project.settings django_otp"
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean
